Subject: [Anima] GRASP Issue 43: Rapid mode for multiple objectives?

From: Brian E Carpenter <[email-masked]>
Date: Mon, 8 Feb 2016 15:59:13 +1300

o  43.  Rapid mode synchronization and negotiation is currently
      limited to a single objective for simplicity of design and
      implementation.  A future consideration is to allow multiple
      objectives in rapid mode for greater efficiency.

My suggestion: leave this for the future, because it would cause
considerable complexity for ASA designers (multiple independent
negotiation threads triggered by a single message).

Regards
   Brian